import QtQuick 1.0

Rectangle {

    property alias text: messageText.text
    property alias posY: textBox.y

    signal pressed
    property color onButtonPressed: "grey"
    property color onButtonReleased: "lightgrey"

     id: textBox
     color: "lightgrey"
     width: messageText.width+20; height: messageText.height+10
     border.width: 1
     border.color: "black"
     radius: 10
     smooth: true
     anchors.horizontalCenter: parent.horizontalCenter


     Text {
             id: messageText
             text: "Default"
             anchors.centerIn: parent
             font.pointSize: 12; font.bold: true; font.family: "Helvetica"
         }


     MouseArea {
         anchors.fill: parent
         onPressed: parent.color = parent.onButtonPressed
         onReleased: parent.color = parent.onButtonReleased
         onClicked: textBox.pressed()
     }
 }
