#include <QtGui/QApplication>
#include <QtDeclarative/QDeclarativeContext>
#include <QtDeclarative>
#include <QDeclarativeEngine>
#include "qmlapplicationviewer.h"

Q_DECL_EXPORT int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    QmlApplicationViewer viewer;
    viewer.setOrientation(QmlApplicationViewer::ScreenOrientationLockPortrait);

    // Set the screen size to QML context
    QDeclarativeContext* context = viewer.rootContext();
    context->setContextProperty("appviewer", &viewer);

    qmlRegisterType<QmlApplicationViewer>("AppViewer", 1, 0, "QmlApplicationViewer");

    viewer.setMainQmlFile(QLatin1String("qml/OrientationController/main.qml"));
    viewer.showExpanded();

    return app.exec();
}
